Page MenuHomePhabricator

Create and provision CI slave instance for CiviCRM testing
Closed, InvalidPublic2 Story Points

Description

The only unique service we'll need is a MySQL server.

Event Timeline

Hey @awight why is this in all of the past sprints?

awight edited a custom field.
hashar added a comment.Mar 2 2015, 9:12 PM

The integration labs project is out of quota:

Cores: 79/80
RAM: 161792/204800
Floating IPs: 0/0
Instances: 23/25
Security Groups: 0/10

The reason being Timo is recreating all our Precise/Trusty instances to get advantage of the new images made available in labs.

Once the instance is created, we will need to update the sudo policy for the Fundraising tech team to grant root access to the fundraising tech team.

awight added a comment.EditedMar 6 2015, 5:17 PM

Created a m1.small instance, and following these instructions:

https://wikitech.wikimedia.org/wiki/Nova_Resource:Integration/Setup#integration-dev

A full Jenkins slave install will also require these steps:

https://wikitech.wikimedia.org/wiki/Nova_Resource:Integration/Setup#integration-slaveXXXX

Instance is,

https://wikitech.wikimedia.org/wiki/Nova_Resource:I-00000917.eqiad.wmflabs

I tried to add the role::labs-mysql-server puppet role, but there's a conflict between role::ci::slave::labs and role::labs-mysql-server,

Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Duplicate declaration: 
            Package[mysql-server] is already declared in file 
            /etc/puppet/modules/contint/manifests/packages.pp:65; cannot redeclare at 
            /etc/puppet/modules/mysql/manifests/server/package.pp:21 on node i-00000917.eqiad.wmflabs

Fortunately, this is because the CI slave role already includes the MySQL server!

awight added a subscriber: Krinkle.Mar 6 2015, 5:18 PM
awight renamed this task from Create CI slave instance for CiviCRM testing to Create and provision CI slave instance for CiviCRM testing.Mar 6 2015, 6:17 PM
awight updated the task description. (Show Details)
awight closed this task as Resolved.Mar 6 2015, 6:28 PM
awight moved this task from Doing to Done on the Fundraising Sprint Flaming Lips board.
awight added a comment.Mar 7 2015, 8:57 PM

It turns out, we don't need our own slave for this job. We can use any labs CI slave instance.

atgo changed the task status from Resolved to Invalid.Mar 9 2015, 5:30 PM
awight added a comment.Mar 9 2015, 5:39 PM

I did actually create and provision the instance, and do a bunch of development and testing on this machine. Not sure what that means for status bookkeeping though.

I changed it to "invalid" because as I understand it we don't actually
have/plan to use this slave instance. The status is about being able to see
what we have in our current state by looking back if we need to rather than
accounting for work done. Does Please change it back if that seems wrong to
you :)

greg moved this task from INBOX to Done on the Release-Engineering-Team board.Mar 16 2015, 3:41 PM